commit:     b2dab0d4aa1f10494bf25b08b1bfa12c27d93e23
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 27 05:29:09 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Apr 27 05:29:09 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2dab0d4

dev-ruby/activeldap: add 5.2.4

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 dev-ruby/activeldap/Manifest                |  1 +
 dev-ruby/activeldap/activeldap-5.2.4.ebuild | 40 +++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-ruby/activeldap/Manifest b/dev-ruby/activeldap/Manifest
index a1c6cc16516..798a6501f7d 100644
--- a/dev-ruby/activeldap/Manifest
+++ b/dev-ruby/activeldap/Manifest
@@ -1,2 +1,3 @@
 DIST activeldap-4.0.6.gem 225280 BLAKE2B 
0f03ef95f3d0600d2661eab048c8dda3fbabe519add67f7785895e346d835d1e0396270f829f16a982f12863c80378be2f4f7ff7cf84016007b005b1914cec15
 SHA512 
03053e3798b557c73c3a0918b72d1d3c2cada4da3475913ef17a6f9f2f1ac1e102052459ef1a6d8c25ce41382b64c1a3097ccba1c768497a33a3a971b9778d3b
 DIST activeldap-5.2.3.gem 226304 BLAKE2B 
5ac747f9c854071da941bd7dc3bbf151eb9f6b190a725b0daca9a9c76b1aafa9fcb609c16098924c3f9bda6f25d9968c4a715a0f2994333c233a950f809cf862
 SHA512 
30fb4b70975e5a911d736ce8579f3ff0c13d326499660a6fdd25bc4e4d20ad615c038c0b50bdf1722775f6313e9c132a004c86fdb9d3a356f78171f78c5d171b
+DIST activeldap-5.2.4.gem 226304 BLAKE2B 
f13b5a1cf423b44087d55d3a4957be1444d598ab1d1bd7d83ee545a2806b77b47124edcb326fc567eb06e866c62a2ad0c3dafd903232588f824bc2978c197d60
 SHA512 
da37cfa20c8be7151669ba3b409994c668b037a2f318b1b034f6fa9c0e56a9a778b03a26415cbd98c8ba3fa1d487d42343bc0532665c1037880e75474a1c708f

diff --git a/dev-ruby/activeldap/activeldap-5.2.4.ebuild 
b/dev-ruby/activeldap/activeldap-5.2.4.ebuild
new file mode 100644
index 00000000000..e3ae11668a7
--- /dev/null
+++ b/dev-ruby/activeldap/activeldap-5.2.4.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.textile TODO doc/text/*"
+RUBY_FAKEGEM_EXTRAINSTALL="po"
+
+inherit ruby-fakegem
+
+MY_P="${P/ruby-/}"
+DESCRIPTION="ActiveLDAP provides an activerecord inspired object oriented 
interface to LDAP"
+HOMEPAGE="https://github.com/activeldap/activeldap";
+
+LICENSE="GPL-2"
+SLOT="5"
+KEYWORDS="~amd64"
+IUSE=""
+
+# Most tests require a live LDAP server to run.
+RESTRICT="test"
+
+ruby_add_rdepend "
+       >dev-ruby/activemodel-4.2.0:*
+       dev-ruby/builder
+       dev-ruby/locale
+       dev-ruby/ruby-gettext
+       dev-ruby/gettext_i18n_rails
+       || ( dev-ruby/ruby-net-ldap >=dev-ruby/ruby-ldap-0.8.2 )"
+
+all_ruby_install() {
+       all_fakegem_install
+
+       dodoc doc/text/*
+
+       insinto /usr/share/doc/${PF}
+       doins -r examples
+}

Reply via email to